﻿using System;
using System.Runtime.InteropServices;

namespace CDude.Tools
{
    internal class NativeMethods
    {
        [DllImport("User32.dll")]
        public static extern int GetMenuItemCount(IntPtr hWnd);

        [DllImport("User32.dll")]
        public static extern IntPtr GetSystemMenu(IntPtr hWnd, bool bRevert);

        [DllImport("User32.dll", SetLastError = true)]
        public static extern IntPtr RegisterDeviceNotificationW(IntPtr hRecipient, IntPtr NotificationFilter, uint Flags);

        [DllImport("User32.dll")]
        public static extern int RemoveMenu(IntPtr hMenu, int nPosition, int wFlags);
    }
}